#ifndef GRBL_H
#define GRBL_H

#include <Arduino.h>
#include "Module_GRBL_13.2.h"

class iGRBL{
public:
    virtual void init(int speed, double pas, int accel, String mode = "distance") = 0;
    virtual void mouveForward(int mm) = 0;
};

class GRBL : public iGRBL{
public:
    GRBL(int grblAddr);
    void init(int speed, double pas, int accel, String mode = "distance") override;
    void mouveForward(int mm = 5) override;
private:
    Module_GRBL* grbl;
};

#endif
