#ifndef PROGRAM_H
#define PROGRAM_H

#include "Arduino.h"
#include "DolibarrClient.h"
#include <M5Stack.h>
#include "ServoMotorComponent.h"

class Program {
public:
    /**
     * Program startup
     */
    Program();

    /**
     * Program WarehouseGUI loop
     */
    void loop();
private:
    DolibarrClient *client;
    ServoMotorComponent *servo;
};

#endif
