#ifndef SERVOMOTOT_COMPONENT_H
#define SERVOMOTOT_COMPONENT_H

#include <Servo.h>

class ServoMotorComponent
{
public:
    ServoMotorComponent(int PIN);
    ~ServoMotorComponent() = default;
    void goLeft();
    void goRight();
    void goMiddle();
    int getPosition();
    void setPin(int PIN);
    void pause();
    void setSpeed(int speed);
    void setEasing(float easing);

private:
    int PIN;
    int position;
    int speed;
    float easing;
    Servo myservo;
};





#endif //SERVOMOTOT_COMPONENT_H
